Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.animation.client.testing
Class StubAnimationScheduler.StubAnimationHandle

    java.lang.Object
      com.google.gwt.animation.client.AnimationScheduler.AnimationHandle
          com.google.gwt.animation.client.testing.StubAnimationScheduler.StubAnimationHandle

Enclosing class:
  StubAnimationScheduler

    public class StubAnimationScheduler.StubAnimationHandle

extends AnimationScheduler.AnimationHandle

A handle to the requested animation frame created by `AnimationScheduler.requestAnimationFrame(AnimationCallback, Element)`.

Constructor Summary
`StubAnimationScheduler.StubAnimationHandle(AnimationScheduler.AnimationCallback callback)`

Method Summary
`void` | `cancel()` Cancel the requested animation frame.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StubAnimationScheduler.StubAnimationHandle

    public StubAnimationScheduler.StubAnimationHandle(AnimationScheduler.AnimationCallback callback)

Method Detail

### cancel

    public void cancel()

  Description copied from class: `AnimationScheduler.AnimationHandle`
  Cancel the requested animation frame. If the animation frame is already canceled, do nothing.

  Specified by:
    `cancel` in class `AnimationScheduler.AnimationHandle`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD